package com.ruoyi.demo.entity.bo;

import com.ruoyi.demo.entity.Equipment;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
@Data
public class EquipmentBo {
    private String equipmentId;
    private String equipmentName;
    private String equipmentCode;
    private String addrInfo;
    private String addrCode;
    private String addrCodeInfo;
    private BigDecimal lat;
    private BigDecimal lng;
    private Integer state;
    private Integer onState;
    private Integer planCounnt;
    private String storeId;
    private String manufacturers;
    private String maintainName;
    private String maintainTelephone;
    private String annotation;
    private LocalDateTime enterTime;
    private LocalDateTime updateTime;
    private Integer deleted;

    public EquipmentBo(Equipment equipment) {
        this.equipmentId = equipment.getEquipmentId();
        this.equipmentName = equipment.getEquipmentName();
        this.equipmentCode = equipment.getEquipmentCode();
        this.addrInfo = equipment.getAddrInfo();
        this.addrCode = equipment.getAddrCode();
        this.lat = equipment.getLat();
        this.lng = equipment.getLng();
        this.state = equipment.getState();
        this.onState = equipment.getOnState();
        this.storeId = equipment.getStoreId();
        this.manufacturers = equipment.getManufacturers();
        this.maintainName = equipment.getMaintainName();
        this.maintainTelephone = equipment.getMaintainTelephone();
        this.annotation = equipment.getAnnotation();
        this.enterTime = equipment.getEnterTime();
        this.updateTime = equipment.getUpdateTime();
        this.deleted = equipment.getDeleted();
    }
}
